# SimpleSuspendableMapper

interface SimpleSuspendableMapper < T1 , T2 >(source)

#### Inheritors

SimpleSuspendableMapperImpl
MapperWriteCRUDRepo

## Functions

convert
Link copied to clipboard
@ JvmName (name = "convertFromT2")
suspend fun < T1 , T2 > SimpleSuspendableMapper < T1 , T2 >. convert (from: T2 ): T1
convertToT1
Link copied to clipboard
abstract suspend fun convertToT1 (from: T2 ): T1
convertToT2
Link copied to clipboard
abstract suspend fun convertToT2 (from: T1 ): T2